commit 15a4a82830ba9c69cacf7290678494d10d4834e7
Author: freddy77 <freddy77>
Date:   Fri Feb 29 09:23:51 2008 +0000

    fix SQL_ROWSET_SIZE

diff --git b/ChangeLog a/ChangeLog
index 1354a3e..3b6ca5e 100644
--- b/ChangeLog
+++ a/ChangeLog
@@ -1,8 +1,3 @@
-Fri Feb 29 10:22:14 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
-	* src/odbc/odbc.c src/odbc/unittests/.cvsignore:
-	* src/odbc/unittests/Makefile.am src/odbc/unittests/rowset.c(added):
-	- fix SQL_ROWSET_SIZE
-
 Fri Feb 29 09:20:07 CET 2008    Frediano Ziglio <freddy77_A_gmail_D_com>
 	* configure.ac: avoid version clash
 
@@ -102,4 +97,4 @@ Wed Jan  9 19:54:43 EST 2008	JK Lowden <jklowden@freetds.org>
 	* ChangeLog  truncated because of release
 	* ChangeLog-0.82 added because of release
 	
-$Id: ChangeLog,v 1.2454.2.23 2008/02/29 09:23:51 freddy77 Exp $
+$Id: ChangeLog,v 1.2454.2.22 2008/02/29 08:21:41 freddy77 Exp $
diff --git b/src/odbc/odbc.c a/src/odbc/odbc.c
index 74e297a..8d564a4 100644
--- b/src/odbc/odbc.c
+++ a/src/odbc/odbc.c
@@ -60,7 +60,7 @@
 #include <dmalloc.h>
 #endif
 
-TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.7 2008/02/29 09:23:51 freddy77 Exp $");
+TDS_RCSID(var, "$Id: odbc.c,v 1.464.2.6 2008/02/27 16:08:57 freddy77 Exp $");
 
 static SQLRETURN _SQLAllocConnect(SQLHENV henv, SQLHDBC FAR * phdbc);
 static SQLRETURN _SQLAllocEnv(SQLHENV FAR * phenv);
@@ -1472,7 +1472,8 @@ _SQLAllocStmt(SQLHDBC hdbc, SQLHSTMT FAR * phstmt)
 	stmt->attr.simulate_cursor = SQL_SC_NON_UNIQUE;
 	stmt->attr.use_bookmarks = SQL_UB_OFF;
 
-	stmt->sql_rowset_size = 1;
+	/* is not the same of using APD sql_desc_bind_type */
+	stmt->sql_rowset_size = SQL_BIND_BY_COLUMN;
 
 	stmt->row_count = TDS_NO_COUNT;
 	stmt->row_status = NOT_IN_ROW;
@@ -6175,10 +6176,6 @@ _SQLSetStmtAttr(SQLHSTMT hstmt, SQLINTEGER Attribute, SQLPOINTER ValuePtr, SQLIN
 		stmt->attr.use_bookmarks = ui;
 		break;
 	case SQL_ROWSET_SIZE:	/* although this is ODBC2 we must support this attribute */
-		if (((TDS_INTPTR) ValuePtr) < 1) {
-			odbc_errs_add(&stmt->errs, "HY024", NULL);
-			ODBC_RETURN(stmt, SQL_ERROR);
-		}
 		stmt->sql_rowset_size = ui;
 		break;
 	default:
diff --git b/src/odbc/unittests/.cvsignore a/src/odbc/unittests/.cvsignore
index 2da9b2c..d7c663e 100644
--- b/src/odbc/unittests/.cvsignore
+++ a/src/odbc/unittests/.cvsignore
@@ -64,4 +64,3 @@ cursor5
 attributes
 hidden
 blob1
-rowset
diff --git b/src/odbc/unittests/Makefile.am a/src/odbc/unittests/Makefile.am
index f6a4a35..8146c2a 100644
--- b/src/odbc/unittests/Makefile.am
+++ a/src/odbc/unittests/Makefile.am
@@ -1,4 +1,4 @@
-# $Id: Makefile.am,v 1.68.2.3 2008/02/29 09:23:51 freddy77 Exp $
+# $Id: Makefile.am,v 1.68.2.2 2008/01/10 13:22:19 freddy77 Exp $
 TESTS		=	\
 			t0001$(EXEEXT) t0002$(EXEEXT) t0003$(EXEEXT)\
 			t0004$(EXEEXT) connect$(EXEEXT) print$(EXEEXT)\
@@ -20,8 +20,7 @@ TESTS		=	\
 			paramcore$(EXEEXT) timeout2$(EXEEXT) timeout3$(EXEEXT) \
 			connect2$(EXEEXT) timeout4$(EXEEXT) freeclose$(EXEEXT) \
 			cursor3$(EXEEXT) cursor4$(EXEEXT) cursor5$(EXEEXT) \
-			attributes$(EXEEXT) hidden$(EXEEXT) blob1$(EXEEXT) \
-			rowset$(EXEEXT)
+			attributes$(EXEEXT) hidden$(EXEEXT) blob1$(EXEEXT)
 
 check_PROGRAMS	=	$(TESTS)
 
@@ -80,7 +79,6 @@ cursor5_SOURCES	= cursor5.c common.c common.h
 attributes_SOURCES	= attributes.c common.c common.h
 hidden_SOURCES	= hidden.c common.c common.h
 blob1_SOURCES	= blob1.c common.c common.h
-rowset_SOURCES	= rowset.c common.c common.h
 
 AM_CPPFLAGS	=	-I$(top_srcdir)/include $(ODBC_INC) -DFREETDS_SRCDIR=\"$(srcdir)\"
 if MINGW32
